; DISLIN: Demonstration of TEX / IDL
; Version 1.4, 29.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_tex

	title = 'TeX Instructions for Mathematical Formulas'
	top = 100
	distance = 300

	dislin_page, page_format='da4p', /hardware_font, /tex_italics
	dislin_label, title, 2100/2, top, text_size=40, /horizontal, /plot_coords
  
	dislin_label, '$\frac{1}{x+y}$', 150, 400, /plot_coords
	dislin_label, '$\frac{a^2 - b^2}{a+b} = a - b$', 1200, 400, /plot_coords
  
	dislin_label, '$r = \sqrt{x^2 + y^2}', 150, 700, /plot_coords
	dislin_label, '$\cos \phi = \frac{x}{\sqrt{x^2 + y^2}}$', 1200, 700, /plot_coords

	dislin_label, '$\Gamma(x) = \int_0^\infty e^{-t}t^{x-1}dt$', 150, 1000, /plot_coords
	dislin_label, '$\lim_{x \to \infty} (1 + \frac{1}{x})^x = e$', 1200, 1000, /plot_coords

	dislin_label, '$\mu = \sum_{i=1}^n x_i p_i$', 150, 1300, /plot_coords
	dislin_label, '$\mu = \int_{-\infty}^ \infty x f(x) dx$', 1200, 1300, /plot_coords

	dislin_label, '$\overline{x} = \frac{1}{n} \sum_{i=1}^n x_i$', 150, 1600, /plot_coords
	dislin_label, '$s^2 = \frac{1}{n-1} \sum_{i=1}^n (x_i - \overline{x})^2$', 1200, 1600, /plot_coords

	dislin_label, '$\sqrt[n]{\frac{x^n - y^n}{1 + u^{2n}}}$', 150, 1900, /plot_coords
	dislin_label, '$\sqrt[3]{-q + \sqrt{q^2 + p^3}}$', 1200, 1900, /plot_coords

	dislin_label, '$\int \frac{dx}{1+x^2} = \arctan x + C$', 150, 2200, /plot_coords
	dislin_label, '$\int \frac{dx}{\sqrt{1+x^2}} = {\rm arsinh} x + C$', 1200, 2200, /plot_coords

	dislin_label, '$\overline{P_1P_2} = \sqrt{(x_2-x_1)^2 + (y_2-y_1)^2}$', 150, 2500, /plot_coords
	dislin_label, '$x = \frac{x_1 + \lambda x_2}{1 + \lambda}$', 1200, 2500, /plot_coords
	dislin_end

end

