; DISLIN: Demonstration of 3D BARS / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_3d_bars

	n = 18

	xray  = [ 1., 3., 8., 1.5, 9., 6.3, 5.8, 2.3, 8.1, 3.5, 2.2, 8.7, 9.2, 4.8, 3.4, 6.9, 7.5, 3.8 ]
	yray  = [ 5., 8., 3.5, 2., 7., 1.,4.3, 7.2, 6.0, 8.5, 4.1, 5.0, 7.3, 2.8, 1.6, 8.9, 9.5, 3.2 ]
	z1ray = [ 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0. ]
	z2ray = [ 4., 5., 3., 2., 3.5, 4.5, 2., 1.6, 3.8, 4.7, 2.1, 3.5, 1.9, 4.2, 4.9, 2.8, 3.6, 4.3 ]
	icray = [ 30, 30, 30, 30, 30, 30, 100, 100, 100, 100, 100, 100, 170, 170, 170, 170, 170, 170 ]

	xwray = fltarr (n)
	xwray[*] = 0.5
	ywray = xwray

	dislin, 'scrmod', 'revers'
	dislin, 'metafl', 'xwin'
	dislin, 'setpag', 'da4p'
	dislin, 'disini'
	dislin, 'hwfont'
	dislin, 'pagera'

	dislin, 'axspos', 200, 2600
	dislin, 'axslen', 1800, 1800

	dislin, 'name', 'X-axis', 'X'
	dislin, 'name', 'Y-axis', 'Y'
	dislin, 'name', 'Z-axis', 'Z'

	dislin, 'titlin', '3-D Bars / BARS3D', 3
	dislin, 'labl3d', 'hori'

	dislin, 'graf3d', 0., 10., 0., 2., 0., 10., 0., 2., 0., 5., 0., 1.
	dislin, 'grid3d', 1, 1, 'bottom'

	dislin, 'bars3d', xray, yray, z1ray, z2ray, xwray, ywray, icray, n

	dislin, 'legini', cbuf, 3, 20
	dislin, 'legtit', ' '
	dislin, 'legpos', 1350, 1150
	dislin, 'leglin', cbuf, 'First', 1
	dislin, 'leglin', cbuf, 'Second', 2
	dislin, 'leglin', cbuf, 'Third', 3
	dislin, 'legend', cbuf, 3

	dislin, 'height', 50
	dislin, 'title'
	dislin, 'disfin'

end

