; DISLIN: Demonstration of SHADING PATTERNS / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_shading_patterns

	ix  = [ 0, 300, 300,   0 ]
	iy  = [ 0,   0, 400, 400 ]
	ixp = [ 0, 0, 0, 0 ]
	iyp = [ 0, 0, 0, 0 ]

	ctit = "Shading patterns (AREAF)"

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4l'
	dislin, 'metafl', "xwin"
	dislin, 'disini'
	dislin, 'setvlt', "small"
	dislin, 'pagera'
	dislin, 'complx'

	dislin, 'height', 50
	dislin, 'nlmess', ctit, return=nl
	dislin, 'messag', ctit, (2970 - nl)/2, 200

	nx0 = 335
	ny0 = 350

	iclr = 0
	for i = 0, 2 do begin
		ny = ny0 + i * 600

		for j = 0, 5 do begin
			iclr = (i * 6 + j) mod 8
			if (iclr eq 0) then iclr = 8
			dislin, 'setclr', iclr
			nx = nx0 + j * 400
			ii = i * 6 + j
			dislin, 'shdpat', ii
			iclr = iclr + 1
			cstr = strtrim (ii, 2)
			ixp = ix + nx
			iyp = iy + ny

			dislin, 'areaf', ixp, iyp, 4
			dislin, 'nlmess', cstr, return=nl
			nx = nx + (300 - nl) / 2
			dislin, 'messag', cstr, nx, ny + 460
		end
	end
	dislin, 'disfin'

end

