; DISLIN: Demonstration of SPHERES AND TUBES / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_spheres_tubes

	x = [ 10., 20., 10., 20., 5., 15., 25., 5., 15., 25., 5., 15., 25., 10., 20., 10., 20. ]
	y = [ 10., 10., 20., 20., 5., 5., 5., 15., 15., 15., 25., 25., 25., 10., 10., 20., 20. ]
	z = [ 5., 5., 5., 5., 15., 15., 15., 15., 15., 15., 15., 15., 15., 25., 25., 25., 25. ]
	idx = [ 1, 2, 1, 3, 3, 4, 2, 4, 5, 6, 6, 7, 8, 9, 9, 10, 11, 12, 12, 13,  5, 8, 8, 11, 6, 9, 9, 12, 7, 10, 10, 13,  14, 15, 16, 17, 14, 16, 15, 17, 1, 5, 2, 7, 3, 11, 4, 13, 5, 14, 7, 15, 11, 16, 13, 17 ]

	dislin, 'scrmod', 'revers'
	dislin, 'setpag', 'da4p'
	dislin, 'metafl', 'cons'
	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'hwfont'
	dislin, 'light', 'on'
	dislin, 'matop3', 0.02, 0.02, 0.02, 'specular'

	dislin, 'clip3d', 'none'
	dislin, 'axspos', 0, 2500
	dislin, 'axslen', 2100, 2100

	dislin, 'htitle', 50
	dislin, 'titlin', 'Spheres and Tubes', 4

	dislin, 'name', 'X-axis', 'x'
	dislin, 'name', 'Y-axis', 'y'
	dislin, 'name', 'Z-axis', 'z'

	dislin, 'labdig', -1, 'xyz'
	dislin, 'labl3d', 'hori'
	dislin, 'graf3d', 0., 30., 0., 5., 0., 30., 0., 5., 0., 30., 0., 5.
	dislin, 'title'

	dislin, 'shdmod', 'smooth', 'surface'

	dislin, 'zbfini', return=iret
	dislin, 'matop3', 1.0, 0.0, 0.0, 'diffuse'
	for i = 0, 16 do begin
		dislin, 'sphe3d', x[i], y[i], z[i], 2.0, 50, 25
	end

	dislin, 'matop3', 0.0, 1.0, 0.0, 'diffuse'
	for i = 0, 55, 2 do begin
		j1 = idx[i] - 1
		j2 = idx[i+1] - 1
		dislin, 'tube3d', x[j1], y[j1], z[j1], x[j2], y[j2], z[j2], 0.5, 5, 5 
	end

	dislin, 'zbffin'
	dislin, 'disfin'

end

