; IDL DISLIN wrapper shortcut procedure to create a pie chart plot
; Version 1.4, 23.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_title, title, save=save

	common dislin_title_config, title_consumed

	if (size (title, /type) ne 0) then begin
		if (size (title, /type) ne 7) then title = strtrim (title, 2)
		if (n_elements (title) eq 1) then title = [ "", "", "", title ]

		for pos = 0, n_elements (title)-1 do begin
			if (keyword_set (title[pos])) then begin
				dislin, 'titlin', title[pos], pos+1
				title_consumed = 0
			end
		end
	end

	if (not keyword_set (title_consumed) and not keyword_set (save)) then begin
		dislin, 'title'
		title_consumed = 1
	end

end

