; DISLIN: Demonstration of 3D BAR GRAPH and 3D PIE CHART / IDL
; Version 1.4, 23.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_3d_bar_graph_pie_chart

	xray  = [ 2., 4., 6., 8., 10. ]
	y1ray = [ 0., 0., 0., 0., 0. ]
	y2ray = [ 3.2, 1.5, 2.0, 1.0, 3.0 ]

	ic1ray  = [ 50, 150, 100, 200, 175 ]
	ic2ray  = [ 50, 150, 100, 200, 175 ]

	title = [ '', '3-D Bar Graph / 3-D Pie Chart' ]
	left = 300
	top = 400
	plot_size = [ 1500, 1000 ]
	distance = 300

	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, row=0, title=title, text_size=40, label_type='horizontal'
	dislin_graf, [0,12], [0,5], /exact, min_n=[1,1]
	dislin_bar, xray, y1ray, y2ray, type='3D', width=0.5, pattern=16, color='full_red', label_color=255, label_type='second', label_position='outside'
	dislin_next, /reset

	dislin_axis, left, top, plot_size, row=1, distance=distance
	dislin_pie, y2ray, type='3D', pattern=16, color=ic1ray, front_color=ic2ray, label_color=255, label_type='data'
	dislin_end

end

