; DISLIN: Demonstration of INTERPOLATION METHODS / IDL
; Version 1.4, 28.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_interpolation_methods

	xray = [ 0., 1., 3., 4.5, 6., 8., 9., 11., 12., 12.5, 13., 15., 16., 17., 19., 20. ]
	yray = [ 2., 4., 4.5, 3., 1., 7., 2., 3., 5., 2., 2.5, 2., 4., 6., 5.5, 4. ]
	cpol = [ 'LINEAR', 'STEP', 'BARS', 'SPLINE' ]

	title = [ 'Interpolation Methods', '' ]
	left = 350
	top = 700
	plot_size = [ 1500, 500 ]
	labeling = [ 'line', 'line', 'line', 'line' ]

	dislin_page, 'xwin', page_format='da4p', /hardware_font
	for row = 0, 3 do begin
		dislin_axis, left, top, plot_size, distance=0, row=row, title=title, text_size=50, labeling=labeling
		title = ''
		dislin_graf, [0,20], [0,10], /exact, background='full_yellow'
		dislin_label, cpol[row], 1, 8
		dislin_curve, xray, yray, color='full_red', symbol=0, size=25, /mode, interpolation=cpol[row]
		if (row lt 4) then dislin_next, /reset
	end
	dislin_end

end

