; DISLIN: Demonstration of PIE CHARTS / IDL
; Version 1.4, 28.02.2016, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_highlevel_pie_charts

	xray = [ 1., 2.5, 2., 2.7, 1.8 ]

	title = [ '', 'Pie Charts (PIEGRF)' ]
	legend = [ 'FIRST', 'SECOND', 'THIRD', 'FOURTH', 'FIFTH' ]
	pattern = [ 7, 4, 13, 3, 5 ]
	left = 250
	top = 600
	plot_size = [ 1600, 1000 ]
	distance = 200

	; Upper pie chart
	dislin_page, page_format='da4p', /hardware_font
	dislin_axis, left, top, plot_size, row=0, title=title, text_size=50, label_type='horizontal'
	dislin_pie, xray, pattern=pattern, change='both', labels=legend, label_type='data', label_position='external'
	dislin_next, /reset

	; Lower pie chart
	dislin_axis, left, top, plot_size, row=1, distance=distance
	dislin_pie, xray, pattern=pattern, change='both', labels=legend
	dislin_end

end

