; DISLIN: Demonstration of 3D BAR GRAPH and 3D PIE CHART / IDL
; Version 1.0, 24.07.2012, Philippe-A. Bourdin, Bourdin@MPS.mpg.de

pro dislin_sample_3d_bar_graph_pie_chart

	xray  = [ 2., 4., 6., 8., 10. ]
	y1ray = [ 0., 0., 0., 0., 0. ]
	y2ray = [ 3.2, 1.5, 2.0, 1.0, 3.0 ]

	ic1ray  = [ 50, 150, 100, 200, 175 ]
	ic2ray  = [ 50, 150, 100, 200, 175 ]

	dislin, 'scrmod', 'revers'
	dislin, 'metafl', 'cons'
	dislin, 'setpag', 'da4p'
	dislin, 'disini'
	dislin, 'pagera'
	dislin, 'hwfont'

	dislin, 'titlin', '3-D Bar Graph / 3-D Pie Chart', 2
	dislin, 'htitle', 40

	dislin, 'shdpat', 16
	dislin, 'axslen', 1500, 1000
	dislin, 'axspos', 300, 1400

	dislin, 'barwth', 0.5
	dislin, 'bartyp', '3dvert'
	dislin, 'labels', 'second', 'bars'
	dislin, 'labpos', 'outside', 'bars'
	dislin, 'labclr', 255, 'bars'
	dislin, 'graf', 0., 12., 0., 2., 0., 5., 0., 1.
	dislin, 'title'
	dislin, 'color', 'red'
	dislin, 'bars', xray, y1ray, y2ray, 5
	dislin, 'endgrf'

	dislin, 'shdpat', 16
	dislin, 'labels', 'data', 'pie'
	dislin, 'labclr', 255, 'pie'
	dislin, 'chnpie', 'none'
	dislin, 'pieclr', ic1ray, ic2ray, 5
	dislin, 'pietyp', '3d'
	dislin, 'axspos', 300, 2700
	dislin, 'piegrf', cbuf, 0, y2ray, 5
	dislin, 'disfin'

end

